# Source this file

function localkdc_get_realm()
{
    local _realm_file
    local _realm

    if [ ! -r "/etc/localkdc/realm" ]; then
        echo "/etc/localkdc/realm doesn't exist. " \
             "Please run localkdc-setup" >&2
        return 1
    fi
    _realm=$(<"/etc/localkdc/realm")
    if [ -z "${_realm}" ]; then
        echo "Failed to get REALM from /etc/localkdc/realm" >&2
        return 1
    fi

    echo "${_realm}"
    return 0
}
